%define cvsdate 20020524
%undefine cvsdate
%def_without capabilities

Name: jackit
Version: 0.34.0
%define release alt0.8

%ifdef cvsdate
Release: %{release}cvs%cvsdate
%else
Release: %release
%endif

%define _name jack
%define package_name jack-audio-connection-kit

Summary: JACK audio connection kit
Group: Sound
License: GPL
Url: http://%name.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

%ifndef cvsdate
Source: http://prdownloads.sourceforge.net/%name/%package_name-%version.tar.gz
%else
Source: %_name-%cvsdate.tar.bz2
%endif

Patch: %package_name-0.34.0-cvs-sndfile.patch

# Automatically added by buildreq on Wed Jun 05 2002
BuildRequires: XFree86-devel XFree86-libs doxygen gcc-c++ glib-devel libalsa2-devel libfltk-devel libsndfile-devel libstdc++-devel

%if_with capabilities
BuildRequires: libcap-devel
%endif

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a normal
application), or can they can run within a JACK server (ie. as a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio work.
This means that it focuses on two key areas: synchronous execution of
all clients, and low latency operation.

Jack is a sound server aimed at satisfying the needs of music
profesionals.

%package -n jackd
Summary: JACK server
Group: System/Servers
Requires: lib%_name = %version-%release

%description -n jackd
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a normal
application), or can they can run within a JACK server (ie. as a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio work.
This means that it focuses on two key areas: synchronous execution of
all clients, and low latency operation.

This package contains jackd - JACK server

%package -n lib%_name
Summary: Shared libraries to run JACK
Group: System/Libraries

%description -n lib%_name
This package contains the shared libraries required for jackd.

%package devel
Summary: Development files for JACK
Group: Development/C
Requires: lib%_name = %version-%release

%description devel
This package includes the development libraries, header files and
documentation necessary for developing programs which will use JACK.

%package -n lib%_name-devel-static
Summary: Static libraries for developing apps using JACK
Group: Development/C
Requires: %name-devel = %version-%release

%description -n lib%_name-devel-static
This package contains the static libraries you can use to develop
statically linked applications using JACK.

%package utils
Summary: Utilities for JACK
Group: Sound
Requires: jackd = %version-%release

%description utils
Utilities that control and interact with the JACK server-jackd.

%prep
%ifndef cvsdate
%setup -q -n %package_name-%version
%patch -p1
%else
%setup -q -n %_name
%endif

%build
%ifdef cvsdate
./autogen.sh
%endif

%configure \
%if_with capabilities
    --enable-capabilities \
    --enable-stripped-jackd
%endif

%make_build

%install
%makeinstall "plugindir=%buildroot/%_libdir/%_name"

%post -n lib%_name -p /sbin/ldconfig
%postun -n lib%_name -p /sbin/ldconfig

%files -n jackd
%if_with capabilities
%attr(4711,root,root) %_bindir/jackstart
%endif
%_bindir/jackd
%doc AUTHORS TODO COPYING

%files -n lib%_name
%_libdir/*.so.*
%_libdir/%_name/*.so.*

%files devel
%_includedir/*
%_libdir/pkgconfig/*
%_libdir/*.so
%_libdir/*.la
%_libdir/%_name/*.so
%_libdir/%_name/*.la
%doc doc/reference

%files -n lib%_name-devel-static
%_libdir/*.a
%_libdir/%_name/*.a

%files utils
%_bindir/%{_name}_*
%_bindir/%{_name}rec

%changelog
* Sun Nov 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.34.0-alt0.8
- Built with new libsndfile-1.0.1, libfltk-1.1.0rc7
- Capabilities disabled (unusual for our kernels).

* Tue Aug 13 2002 Grigory Milev <week@altlinux.ru> 0.34.0-alt0.7
- recompile with libfltk-1.1.0rc5

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.34.0-alt0.6
- fixed suid/sgid file permissions

* Wed Jun 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.34.0-alt0.5
- 0.34.0
- fixed requires for devel-static package.

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.7-alt0.5cvs20020523
- built current cvs snapshot.

* Mon Feb 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.7-alt0.5
- first build for Sisyphus.
